summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-07-23 10:41:36 +0200
committerLars Wendler <polynomial-c@gentoo.org>2019-07-23 10:48:11 +0200
commitf0af9c1c507b83002ebd41459a0929762a81e7d4 (patch)
treeb5512d6a0e2432db790180d07a9d42e60e3652ac /sys-power
parentdev-db/mysql-workbench: allow USE=mdb with gdal again (diff)
downloadgentoo-f0af9c1c507b83002ebd41459a0929762a81e7d4.tar.gz
gentoo-f0af9c1c507b83002ebd41459a0929762a81e7d4.tar.bz2
gentoo-f0af9c1c507b83002ebd41459a0929762a81e7d4.zip
sys-power/iasl: Bump to version 20190703
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'sys-power')
-rw-r--r--sys-power/iasl/Manifest2
-rw-r--r--sys-power/iasl/iasl-20190703.ebuild128
2 files changed, 130 insertions, 0 deletions
diff --git a/sys-power/iasl/Manifest b/sys-power/iasl/Manifest
index a6c4a7b4b6e..3574474d3db 100644
--- a/sys-power/iasl/Manifest
+++ b/sys-power/iasl/Manifest
@@ -1,6 +1,8 @@
DIST acpica-unix-20160729.tar.gz 1556095 BLAKE2B 2785d343d7aa0e3cce83d762bb70f8a7e76221da5d0e803eac3253b4a26dcaf852e114eadf811f387c7c040aeeb794de8cae37c47d8c29968f8cd0a0d76ed4b6 SHA512 37b0439b03e8d811c8b14d0c7c89471989227fb78b462f585c6290431afecc5b258073e568dde8dc982fa959ebce4b4d51589ea997f0066e66d4785ce185ccf2
DIST acpica-unix-20180810.tar.gz 1797634 BLAKE2B 66b1c53874a7fa898fb042d0aac6001e623bb056ef17de46fc5a8e3ee5667178c47b5d8ecec194ebd8d2b0bdf947b5c85a1874c5d11a9ba3307a85418856ebdb SHA512 f37d8e0f1393b87cbfd9c6607104b05f85386583e4e5a5bcdbd2f049c122592a53e7cd56fe7da75e93bf3a424921fbc9291e7a39e06de80e6403abe042f869cd
DIST acpica-unix-20190215.tar.gz 1809671 BLAKE2B aff312636ff0f38e7708a251daad84689cb64abd0dd241d57063b5e229c50a3a8bd3e509c2fe9918da4ab9179b07d2207e01eb7c9f94670d0758eec73bb2714b SHA512 7a469097d82721ea55f86eeefa2a67fc6be6b3d2e0382bb830f64c7daf7d99e2bce60011fb68e54b3891939b1fed91da03de9d19c2d4020d3412656cce2c09b0
+DIST acpica-unix-20190703.tar.gz 1845874 BLAKE2B bc217c40c1154fd562f28e0eb22e8bf664c3ae451e7087e046845623beebc7422d1629a21fed61a82e31c89b3040427fd524bfcde562873cc42191f44f88e6ad SHA512 f687f407aaa14684e5d09d21a2e3c197c490b710a633bca491412875f8dfa9164ba5c2c8531946f82713c24d32f47ff4ea3c108c7c124adb83a69e19a6b31163
DIST acpitests-unix-20160729.tar.gz 1829061 BLAKE2B 8dacb39c477ff8ba8b68a3f061b74e90a128a90eb287b9febd57d6871ff0878dfe2eaf616d9881af2b0bca6c8db57d48711ad9009c6ceb1ceba321bed182a51c SHA512 bf6073092a0dfb208f1d4b13ff3a3c5335be8e1326b1e58acd41def1a402ab0d843600f616019d1dde6593db8c53c6876bd9d489360fe98c6a7bee95d9215600
DIST acpitests-unix-20180810.tar.gz 2093850 BLAKE2B 519ce7807026dc11617ed9c34f294600ddae77a57a1fb76220da50da1bee56975373d583d51dfcdd81c8ccba3d5e735167b831bdb4669ab9cb2a1d9753d9261d SHA512 36c2527e8d670ccfb9a537b4944cfb8432c9638c1427e3c59f614c2ca43a66089228ecb74392301a07f266870e2d79bf0e2c671c6c7af06a4683bf97ac01ba54
DIST acpitests-unix-20190215.tar.gz 2094957 BLAKE2B 3a31ae398650a1dc3ac70843c43868a35501cbe0376d1d2437a3568aad1fb63b3d83270653c009885b014894c69dcfff075bbf5d18290220067bcd1804a38097 SHA512 80060a61c80b01231b10e04dd65c2ab41d42824c439152cf128328890cee39ef597dc3f5bc535db4566cb322394bfce2760e1835df781d699818049cad5a4419
+DIST acpitests-unix-20190703.tar.gz 2009568 BLAKE2B 3d1a527c55a94390381e33a46111bed7ecd3761627b87e24d9345b0d38d9fbd32c371adab3f19a0ca05a99c4532491bc9b466805e231a5ecd8c7a6af346577fb SHA512 d9bab56198dc00fc11b50a199035eb9dc164c226441cd00e163ecd6362d399a50058afa7582f86e62a085b990772995fc10e077581a3b04a6c6b2e95e055f167
diff --git a/sys-power/iasl/iasl-20190703.ebuild b/sys-power/iasl/iasl-20190703.ebuild
new file mode 100644
index 00000000000..edd9ba4e0f0
--- /dev/null
+++ b/sys-power/iasl/iasl-20190703.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs flag-o-matic
+
+MY_PN=acpica-unix
+MY_P="${MY_PN}-${PV}"
+MY_TESTS_P="${MY_PN/ca/tests}-${PV}"
+DESCRIPTION="Intel ACPI Source Language (ASL) compiler"
+HOMEPAGE="https://www.acpica.org/downloads/"
+SRC_URI="http://www.acpica.org/sites/acpica/files/${MY_P}.tar.gz
+ test? ( http://www.acpica.org/sites/acpica/files/${MY_TESTS_P}.tar.gz )"
+
+LICENSE="iASL"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="test"
+
+DEPEND="sys-devel/bison
+ sys-devel/flex"
+RDEPEND=""
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ if use test && has test ${FEATURES}; then
+ ewarn 'You have selected USE="test". This will install the test results'
+ ewarn "into /usr/share/${PF}/, compressed as a tarball."
+ ewarn 'The tests themselves will only rarely die, but the test results'
+ ewarn 'are interesting for arch testing. The tests may take quite some'
+ ewarn 'time to complete.'
+ fi
+}
+
+PATCHES=(
+ "${FILESDIR}/${PN}-20140828-locale.patch"
+ "${FILESDIR}/${PN}-20140214-nostrip.patch"
+)
+
+src_prepare() {
+ default
+
+ find "${S}" -type f -name 'Makefile*' -print0 | \
+ xargs -0 -I '{}' \
+ sed -r -e 's:-\<Werror\>::g' -i '{}' \
+ || die
+
+ # BITS is tied to ARCH - please set appropriately if you add new keywords
+ if [[ $ARCH == @(amd64|amd64-fbsd) ]] ; then
+ export BITS=64
+ else
+ export BITS=32
+ fi
+}
+
+src_configure() {
+ :
+}
+
+src_compile() {
+ cd generate/unix || die
+ emake BITS=${BITS}
+}
+
+src_test() {
+ aslts_test
+ #The aapits test currently fails, missing include probably.
+ #aapits_test
+}
+
+src_install() {
+ cd generate/unix || die
+ emake install DESTDIR="${D}" BITS=${BITS}
+ default
+ #local bin
+ #for bin in $(<"${T}"/binlist) ; do
+ # dobin "${T}"/${bin}
+ #done
+ dodoc "${S}"/changes.txt
+ newdoc "${S}"/source/compiler/readme.txt compiler-readme.txt
+ newdoc "${S}"/generate/unix/readme.txt unix-readme.txt
+ newdoc "${S}"/generate/lint/readme.txt lint-readme.txt
+ newdoc "${S}"/source/compiler/new_table.txt compiler-new_table.txt
+
+ if use test && has test ${FEATURES}; then
+ tb="${T}"/testresults.tar.bz2
+ export ASLTSDIR="$(<"${T}"/asltdir)"
+ ebegin "Creating Test Tarball"
+ tar -cjf "${tb}" -C "${ASLTSDIR}"/tmp/RESULTS . || die "tar failed"
+ eend $?
+ dodir /usr/share/${PF}
+ insinto /usr/share/${PF}
+ doins ${tb}
+ fi
+
+}
+
+aslts_test() {
+ export ASL="${S}"/generate/unix/bin/iasl \
+ acpibin="${S}"/generate/unix/bin/acpibin \
+ acpiexec="${S}"/generate/unix/bin/acpiexec \
+ ASLTSDIR="${WORKDIR}/${MY_TESTS_P}"/tests/aslts
+ export PATH="${PATH}:${ASLTSDIR}/bin"
+ echo "$ASLTSDIR" >"${T}"/asltdir
+ cd "${ASLTSDIR}" || die
+ edos2unix $(find . -type 'f')
+ make install || die "make install aslts test failed"
+ chmod +x $(find bin/ ! -regex 'ERROR_OPCODES|HOW_TO_USE|README' ) || die "chmod bin +x failed"
+
+ #The below Do commands runs the tests twice and then dies if the results aren't
+ #Identical.
+ Do 1 || die "failed Do 1"
+ Do 2 || die "failed Do 2"
+}
+
+aapits_test() {
+ mv "${WORKDIR}/${MY_TESTS_P}/tests/aapits" "${S}/tools/" || die "mv failed"
+ cd "${S}/tools/aapits" || die "cannot find ${S}/tools/aapits"
+ edos2unix $(find . -type 'f')
+ chmod +x $(find bin/ | sed -r -e '/\/[A-Z_]+$/d') || die "chmod bin +x failed"
+ make || die "make in aapits failed"
+ cd asl || die "cd asl failed"
+ make || die "make in asl failed"
+ cd ../bin || die
+ ./aapitsrun || die "aapitsrun failed"
+}